/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.editor.ext.html;

import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;
import org.netbeans.editor.BaseDocument;
import org.netbeans.editor.BaseDocumentEvent;


/**
 *
 * @author  Petr Pisl
 */
public class HTMLDrawLayerFactory {
    
    /** Creates a new instance of HTMLDrawLayerFactory */
    public HTMLDrawLayerFactory() {
    }
    
    
    public static class TagParenWatcher implements DocumentListener {
	
	private void check(DocumentEvent evt) {
	    //System.out.println("check"); // NOI18N
            if (evt.getDocument() instanceof BaseDocument) {
		BaseDocument doc = (BaseDocument)evt.getDocument();
                BaseDocumentEvent bevt = (BaseDocumentEvent)evt;
		
		int offset = evt.getOffset();
		doc.repaintBlock(offset-3, offset);
	    }
	}
	
	public void changedUpdate(javax.swing.event.DocumentEvent evt) {
	    
	}
	
	public void insertUpdate(javax.swing.event.DocumentEvent evt) {
	    check(evt);
	}
	
	public void removeUpdate(javax.swing.event.DocumentEvent evt) {
	    check(evt);
	}
	
    }
}
