/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2004 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.editor.ext.java;

import java.awt.Component;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;
import javax.swing.ListCellRenderer;
import org.netbeans.editor.ext.CompletionQuery;

/**
* Java completion cell renderer. It delegates to ResultItems.
*
* @author Miloslav Metelka
* @version 1.00
*/

public class JCCellRenderer implements ListCellRenderer {

    private static ListCellRenderer defaultRenderer = new DefaultListCellRenderer();    
    
    public JCCellRenderer() {
    }

    public Component getListCellRendererComponent(JList list, Object value,
            int index, boolean isSelected, boolean cellHasFocus) {
        if( value instanceof CompletionQuery.ResultItem ) {
            return ((CompletionQuery.ResultItem)value).getPaintComponent( list, isSelected, cellHasFocus );
        } else {
            return defaultRenderer.getListCellRendererComponent( list, value, index, isSelected, cellHasFocus);
        }
    }
    
}
