/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.lib.editor.view;

import javax.swing.text.Element;
import javax.swing.text.View;

/**
 * Extension of <code>GapBoxView</code> encapsulating
 * one line of a text capable of doing baseline layout
 * and line wrapping.
 *
 * <p>
 * The view returns the 
 * <code>minorAxisMinSpan</code> variable is reused
 *
 * @author Miloslav Metelka
 * @version 1.00
 */

public class GapLineView extends GapBoxView {
    
    public GapLineView(Element lineElement) {
        super(lineElement, View.X_AXIS);
    }
    
    protected GapBoxViewChildren createChildren() {
        return new GapLineViewChildren(this);
    }

}
