/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2000 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.lib.editor.view;

import javax.swing.text.Element;
import javax.swing.text.View;

/**
 * Extension of <code>GapLineView</code> capable of encapsulating
 * one or more lines depending on a possible presence of collapsed
 * fold views as children of this view.
 *
 * @author Miloslav Metelka
 * @version 1.00
 */

public class GapMultiLineView extends GapBoxView {
    
    private Element lastLineElement;
    
    public GapMultiLineView(Element firstLineElement, Element lastLineElement) {
//        super(firstLineElement);
        super(firstLineElement, View.X_AXIS);
        
        setLastLineElement(lastLineElement);
    }
    
    public GapMultiLineView(Element firstLineElement) {
        this(firstLineElement, firstLineElement);
    }
    
    protected final void setLastLineElement(Element lastLineElement) {
        this.lastLineElement = lastLineElement;
    }
    
    protected Element getLastLineElement() {
        return lastLineElement;
    }
    
    public int getEndOffset() {
        return lastLineElement.getEndOffset();
    }
    
}
